Login
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in util-linux
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in util-linux
ID: SUSE-SU-2024:1106-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Server 15 SP2, SUSE Linux Enterprise Server for SAP Applications 15 SP2, SUSE Linux Enterprise High Performance Computing 15 SP2, SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2, SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2
Datum: Mi, 3. April 2024, 21:32
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-28085
Applikationen: util-linux

Originalnachricht

--===============7457546871990621900==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit



# Security update for util-linux

Announcement ID: SUSE-SU-2024:1106-1
Rating: important
References:

* bsc#1194642
* bsc#1207987
* bsc#1221831


Cross-References:

* CVE-2024-28085


CVSS scores:

* CVE-2024-28085 ( SUSE ): 8.4 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:N


Affected Products:

* SUSE Linux Enterprise High Performance Computing 15 SP2
* SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2
* SUSE Linux Enterprise Server 15 SP2
* SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2
* SUSE Linux Enterprise Server for SAP Applications 15 SP2



An update that solves one vulnerability and has two security fixes can now be
installed.

## Description:

This update for util-linux fixes the following issues:

* CVE-2024-28085: Properly neutralize escape sequences in wall. (bsc#1221831)
* Prevent error message if `/var/lib/libuuid/clock.txt` does not exist
(bsc#1194642)
* Fixed performance degradation (bsc#1207987)

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

* SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2
zypper in -t patch SUSE-SLE-Product-HPC-15-SP2-LTSS-2024-1106=1

* SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2
zypper in -t patch SUSE-SLE-Product-SLES-15-SP2-LTSS-2024-1106=1

* SUSE Linux Enterprise Server for SAP Applications 15 SP2
zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP2-2024-1106=1

## Package List:

* SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2
(aarch64
x86_64)
* util-linux-debugsource-2.33.2-150100.4.45.1
* libmount-devel-2.33.2-150100.4.45.1
* libblkid-devel-static-2.33.2-150100.4.45.1
* libfdisk1-2.33.2-150100.4.45.1
* util-linux-systemd-debuginfo-2.33.2-150100.4.45.1
* libsmartcols-devel-2.33.2-150100.4.45.1
* libsmartcols1-debuginfo-2.33.2-150100.4.45.1
* libblkid1-2.33.2-150100.4.45.1
* util-linux-debuginfo-2.33.2-150100.4.45.1
* util-linux-2.33.2-150100.4.45.1
* libuuid-devel-2.33.2-150100.4.45.1
* util-linux-systemd-2.33.2-150100.4.45.1
* libfdisk-devel-2.33.2-150100.4.45.1
* libuuid-devel-static-2.33.2-150100.4.45.1
* libmount1-2.33.2-150100.4.45.1
* libsmartcols1-2.33.2-150100.4.45.1
* libblkid-devel-2.33.2-150100.4.45.1
* libuuid1-2.33.2-150100.4.45.1
* libblkid1-debuginfo-2.33.2-150100.4.45.1
* libfdisk1-debuginfo-2.33.2-150100.4.45.1
* uuidd-2.33.2-150100.4.45.1
* util-linux-systemd-debugsource-2.33.2-150100.4.45.1
* libuuid1-debuginfo-2.33.2-150100.4.45.1
* uuidd-debuginfo-2.33.2-150100.4.45.1
* libmount1-debuginfo-2.33.2-150100.4.45.1
* SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2
(noarch)
* util-linux-lang-2.33.2-150100.4.45.1
* SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2
(x86_64)
* libuuid1-32bit-2.33.2-150100.4.45.1
* libblkid1-32bit-2.33.2-150100.4.45.1
* libmount1-32bit-2.33.2-150100.4.45.1
* libuuid1-32bit-debuginfo-2.33.2-150100.4.45.1
* libblkid1-32bit-debuginfo-2.33.2-150100.4.45.1
* libmount1-32bit-debuginfo-2.33.2-150100.4.45.1
* SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (aarch64 ppc64le s390x
x86_64)
* util-linux-debugsource-2.33.2-150100.4.45.1
* libmount-devel-2.33.2-150100.4.45.1
* libblkid-devel-static-2.33.2-150100.4.45.1
* libfdisk1-2.33.2-150100.4.45.1
* util-linux-systemd-debuginfo-2.33.2-150100.4.45.1
* libsmartcols-devel-2.33.2-150100.4.45.1
* libsmartcols1-debuginfo-2.33.2-150100.4.45.1
* libblkid1-2.33.2-150100.4.45.1
* util-linux-debuginfo-2.33.2-150100.4.45.1
* util-linux-2.33.2-150100.4.45.1
* libuuid-devel-2.33.2-150100.4.45.1
* util-linux-systemd-2.33.2-150100.4.45.1
* libfdisk-devel-2.33.2-150100.4.45.1
* libuuid-devel-static-2.33.2-150100.4.45.1
* libmount1-2.33.2-150100.4.45.1
* libsmartcols1-2.33.2-150100.4.45.1
* libblkid-devel-2.33.2-150100.4.45.1
* libuuid1-2.33.2-150100.4.45.1
* libblkid1-debuginfo-2.33.2-150100.4.45.1
* libfdisk1-debuginfo-2.33.2-150100.4.45.1
* uuidd-2.33.2-150100.4.45.1
* util-linux-systemd-debugsource-2.33.2-150100.4.45.1
* libuuid1-debuginfo-2.33.2-150100.4.45.1
* uuidd-debuginfo-2.33.2-150100.4.45.1
* libmount1-debuginfo-2.33.2-150100.4.45.1
* SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (noarch)
* util-linux-lang-2.33.2-150100.4.45.1
* SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (x86_64)
* libuuid1-32bit-2.33.2-150100.4.45.1
* libblkid1-32bit-2.33.2-150100.4.45.1
* libmount1-32bit-2.33.2-150100.4.45.1
* libuuid1-32bit-debuginfo-2.33.2-150100.4.45.1
* libblkid1-32bit-debuginfo-2.33.2-150100.4.45.1
* libmount1-32bit-debuginfo-2.33.2-150100.4.45.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP2 (ppc64le x86_64)
* util-linux-debugsource-2.33.2-150100.4.45.1
* libmount-devel-2.33.2-150100.4.45.1
* libblkid-devel-static-2.33.2-150100.4.45.1
* libfdisk1-2.33.2-150100.4.45.1
* util-linux-systemd-debuginfo-2.33.2-150100.4.45.1
* libsmartcols-devel-2.33.2-150100.4.45.1
* libsmartcols1-debuginfo-2.33.2-150100.4.45.1
* libblkid1-2.33.2-150100.4.45.1
* util-linux-debuginfo-2.33.2-150100.4.45.1
* util-linux-2.33.2-150100.4.45.1
* libuuid-devel-2.33.2-150100.4.45.1
* util-linux-systemd-2.33.2-150100.4.45.1
* libfdisk-devel-2.33.2-150100.4.45.1
* libuuid-devel-static-2.33.2-150100.4.45.1
* libmount1-2.33.2-150100.4.45.1
* libsmartcols1-2.33.2-150100.4.45.1
* libblkid-devel-2.33.2-150100.4.45.1
* libuuid1-2.33.2-150100.4.45.1
* libblkid1-debuginfo-2.33.2-150100.4.45.1
* libfdisk1-debuginfo-2.33.2-150100.4.45.1
* uuidd-2.33.2-150100.4.45.1
* util-linux-systemd-debugsource-2.33.2-150100.4.45.1
* libuuid1-debuginfo-2.33.2-150100.4.45.1
* uuidd-debuginfo-2.33.2-150100.4.45.1
* libmount1-debuginfo-2.33.2-150100.4.45.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP2 (noarch)
* util-linux-lang-2.33.2-150100.4.45.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP2 (x86_64)
* libuuid1-32bit-2.33.2-150100.4.45.1
* libblkid1-32bit-2.33.2-150100.4.45.1
* libmount1-32bit-2.33.2-150100.4.45.1
* libuuid1-32bit-debuginfo-2.33.2-150100.4.45.1
* libblkid1-32bit-debuginfo-2.33.2-150100.4.45.1
* libmount1-32bit-debuginfo-2.33.2-150100.4.45.1

## References:

* https://www.suse.com/security/cve/CVE-2024-28085.html
* https://bugzilla.suse.com/show_bug.cgi?id=1194642
* https://bugzilla.suse.com/show_bug.cgi?id=1207987
* https://bugzilla.suse.com/show_bug.cgi?id=1221831


--===============7457546871990621900==
Content-Type: text/html; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit




<div class="container">
<h1>Security update for util-linux</h1>

<table class="table table-striped table-bordered">
<tbody>
<tr>
<th>Announcement ID:</th>
<td>SUSE-SU-2024:1106-1</td>
</tr>

<tr>
<th>Rating:</th>
<td>important</td>
</tr>
<tr>
<th>References:</th>
<td>
<ul>

<li style="display: inline;">
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1194642">bsc#1194642</a>
</li>

<li style="display: inline;">
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1207987">bsc#1207987</a>
</li>

<li style="display: inline;">
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1221831">bsc#1221831</a>
</li>


</ul>
</td>
</tr>

<tr>
<th>
Cross-References:
</th>
<td>
<ul>

<li style="display: inline;">
<a href="https://www.suse.com/security/cve/CVE-2024-28085.html">CVE-2024-28085</a>
</li>

</ul>
</td>
</tr>
<tr>
<th>CVSS scores:</th>
<td>
<ul class="list-group">

<li class="list-group-item">
<span
class="cvss-reference">CVE-2024-28085</span>
<span class="cvss-source">
(

SUSE

):
</span>
<span
class="cvss-score">8.4</span>
<span
class="cvss-vector">CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:N</span>
</li>

</ul>
</td>
</tr>

<tr>
<th>Affected Products:</th>
<td>
<ul class="list-group">

<li class="list-group-item">SUSE Linux
Enterprise High Performance Computing 15 SP2</li>

<li class="list-group-item">SUSE Linux
Enterprise High Performance Computing 15 SP2 LTSS 15-SP2</li>

<li class="list-group-item">SUSE Linux
Enterprise Server 15 SP2</li>

<li class="list-group-item">SUSE Linux
Enterprise Server 15 SP2 LTSS 15-SP2</li>

<li class="list-group-item">SUSE Linux
Enterprise Server for SAP Applications 15 SP2</li>

</ul>
</td>
</tr>
</tbody>
</table>

<p>An update that solves one vulnerability and has two security fixes
can now be installed.</p>





<h2>Description:</h2>

<p>This update for util-linux fixes the following issues:</p>
<ul>
<li>CVE-2024-28085: Properly neutralize escape sequences in wall.
(bsc#1221831)</li>
<li>Prevent error message if
<code>/var/lib/libuuid/clock.txt</code> does not exist (bsc#1194642)</li>
<li>Fixed performance degradation (bsc#1207987)</li>
</ul>





<h2>Patch Instructions:</h2>
<p>
To install this SUSE update use the SUSE recommended
installation methods like YaST online_update or "zypper
patch".<br/>

Alternatively you can run the command listed for your product:
</p>
<ul class="list-group">

<li class="list-group-item">
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS
15-SP2


<br/>
<code>zypper in -t patch
SUSE-SLE-Product-HPC-15-SP2-LTSS-2024-1106=1</code>



</li>

<li class="list-group-item">
SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2


<br/>
<code>zypper in -t patch
SUSE-SLE-Product-SLES-15-SP2-LTSS-2024-1106=1</code>



</li>

<li class="list-group-item">
SUSE Linux Enterprise Server for SAP Applications 15 SP2


<br/>
<code>zypper in -t patch
SUSE-SLE-Product-SLES_SAP-15-SP2-2024-1106=1</code>



</li>

</ul>

<h2>Package List:</h2>
<ul>


<li>
SUSE Linux Enterprise High Performance Computing 15 SP2
LTSS 15-SP2 (aarch64 x86_64)
<ul>


<li>util-linux-debugsource-2.33.2-150100.4.45.1</li>


<li>libmount-devel-2.33.2-150100.4.45.1</li>


<li>libblkid-devel-static-2.33.2-150100.4.45.1</li>

<li>libfdisk1-2.33.2-150100.4.45.1</li>


<li>util-linux-systemd-debuginfo-2.33.2-150100.4.45.1</li>


<li>libsmartcols-devel-2.33.2-150100.4.45.1</li>


<li>libsmartcols1-debuginfo-2.33.2-150100.4.45.1</li>

<li>libblkid1-2.33.2-150100.4.45.1</li>


<li>util-linux-debuginfo-2.33.2-150100.4.45.1</li>


<li>util-linux-2.33.2-150100.4.45.1</li>


<li>libuuid-devel-2.33.2-150100.4.45.1</li>


<li>util-linux-systemd-2.33.2-150100.4.45.1</li>


<li>libfdisk-devel-2.33.2-150100.4.45.1</li>


<li>libuuid-devel-static-2.33.2-150100.4.45.1</li>

<li>libmount1-2.33.2-150100.4.45.1</li>


<li>libsmartcols1-2.33.2-150100.4.45.1</li>


<li>libblkid-devel-2.33.2-150100.4.45.1</li>

<li>libuuid1-2.33.2-150100.4.45.1</li>


<li>libblkid1-debuginfo-2.33.2-150100.4.45.1</li>


<li>libfdisk1-debuginfo-2.33.2-150100.4.45.1</li>

<li>uuidd-2.33.2-150100.4.45.1</li>


<li>util-linux-systemd-debugsource-2.33.2-150100.4.45.1</li>


<li>libuuid1-debuginfo-2.33.2-150100.4.45.1</li>


<li>uuidd-debuginfo-2.33.2-150100.4.45.1</li>


<li>libmount1-debuginfo-2.33.2-150100.4.45.1</li>

</ul>
</li>

<li>
SUSE Linux Enterprise High Performance Computing 15 SP2
LTSS 15-SP2 (noarch)
<ul>


<li>util-linux-lang-2.33.2-150100.4.45.1</li>

</ul>
</li>

<li>
SUSE Linux Enterprise High Performance Computing 15 SP2
LTSS 15-SP2 (x86_64)
<ul>


<li>libuuid1-32bit-2.33.2-150100.4.45.1</li>


<li>libblkid1-32bit-2.33.2-150100.4.45.1</li>


<li>libmount1-32bit-2.33.2-150100.4.45.1</li>


<li>libuuid1-32bit-debuginfo-2.33.2-150100.4.45.1</li>


<li>libblkid1-32bit-debuginfo-2.33.2-150100.4.45.1</li>


<li>libmount1-32bit-debuginfo-2.33.2-150100.4.45.1</li>

</ul>
</li>



<li>
SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (aarch64
ppc64le s390x x86_64)
<ul>


<li>util-linux-debugsource-2.33.2-150100.4.45.1</li>


<li>libmount-devel-2.33.2-150100.4.45.1</li>


<li>libblkid-devel-static-2.33.2-150100.4.45.1</li>

<li>libfdisk1-2.33.2-150100.4.45.1</li>


<li>util-linux-systemd-debuginfo-2.33.2-150100.4.45.1</li>


<li>libsmartcols-devel-2.33.2-150100.4.45.1</li>


<li>libsmartcols1-debuginfo-2.33.2-150100.4.45.1</li>

<li>libblkid1-2.33.2-150100.4.45.1</li>


<li>util-linux-debuginfo-2.33.2-150100.4.45.1</li>


<li>util-linux-2.33.2-150100.4.45.1</li>


<li>libuuid-devel-2.33.2-150100.4.45.1</li>


<li>util-linux-systemd-2.33.2-150100.4.45.1</li>


<li>libfdisk-devel-2.33.2-150100.4.45.1</li>


<li>libuuid-devel-static-2.33.2-150100.4.45.1</li>

<li>libmount1-2.33.2-150100.4.45.1</li>


<li>libsmartcols1-2.33.2-150100.4.45.1</li>


<li>libblkid-devel-2.33.2-150100.4.45.1</li>

<li>libuuid1-2.33.2-150100.4.45.1</li>


<li>libblkid1-debuginfo-2.33.2-150100.4.45.1</li>


<li>libfdisk1-debuginfo-2.33.2-150100.4.45.1</li>

<li>uuidd-2.33.2-150100.4.45.1</li>


<li>util-linux-systemd-debugsource-2.33.2-150100.4.45.1</li>


<li>libuuid1-debuginfo-2.33.2-150100.4.45.1</li>


<li>uuidd-debuginfo-2.33.2-150100.4.45.1</li>


<li>libmount1-debuginfo-2.33.2-150100.4.45.1</li>

</ul>
</li>

<li>
SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (noarch)
<ul>


<li>util-linux-lang-2.33.2-150100.4.45.1</li>

</ul>
</li>

<li>
SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (x86_64)
<ul>


<li>libuuid1-32bit-2.33.2-150100.4.45.1</li>


<li>libblkid1-32bit-2.33.2-150100.4.45.1</li>


<li>libmount1-32bit-2.33.2-150100.4.45.1</li>


<li>libuuid1-32bit-debuginfo-2.33.2-150100.4.45.1</li>


<li>libblkid1-32bit-debuginfo-2.33.2-150100.4.45.1</li>


<li>libmount1-32bit-debuginfo-2.33.2-150100.4.45.1</li>

</ul>
</li>



<li>
SUSE Linux Enterprise Server for SAP Applications 15 SP2
(ppc64le x86_64)
<ul>


<li>util-linux-debugsource-2.33.2-150100.4.45.1</li>


<li>libmount-devel-2.33.2-150100.4.45.1</li>


<li>libblkid-devel-static-2.33.2-150100.4.45.1</li>

<li>libfdisk1-2.33.2-150100.4.45.1</li>


<li>util-linux-systemd-debuginfo-2.33.2-150100.4.45.1</li>


<li>libsmartcols-devel-2.33.2-150100.4.45.1</li>


<li>libsmartcols1-debuginfo-2.33.2-150100.4.45.1</li>

<li>libblkid1-2.33.2-150100.4.45.1</li>


<li>util-linux-debuginfo-2.33.2-150100.4.45.1</li>


<li>util-linux-2.33.2-150100.4.45.1</li>


<li>libuuid-devel-2.33.2-150100.4.45.1</li>


<li>util-linux-systemd-2.33.2-150100.4.45.1</li>


<li>libfdisk-devel-2.33.2-150100.4.45.1</li>


<li>libuuid-devel-static-2.33.2-150100.4.45.1</li>

<li>libmount1-2.33.2-150100.4.45.1</li>


<li>libsmartcols1-2.33.2-150100.4.45.1</li>


<li>libblkid-devel-2.33.2-150100.4.45.1</li>

<li>libuuid1-2.33.2-150100.4.45.1</li>


<li>libblkid1-debuginfo-2.33.2-150100.4.45.1</li>


<li>libfdisk1-debuginfo-2.33.2-150100.4.45.1</li>

<li>uuidd-2.33.2-150100.4.45.1</li>


<li>util-linux-systemd-debugsource-2.33.2-150100.4.45.1</li>


<li>libuuid1-debuginfo-2.33.2-150100.4.45.1</li>


<li>uuidd-debuginfo-2.33.2-150100.4.45.1</li>


<li>libmount1-debuginfo-2.33.2-150100.4.45.1</li>

</ul>
</li>

<li>
SUSE Linux Enterprise Server for SAP Applications 15 SP2
(noarch)
<ul>


<li>util-linux-lang-2.33.2-150100.4.45.1</li>

</ul>
</li>

<li>
SUSE Linux Enterprise Server for SAP Applications 15 SP2
(x86_64)
<ul>


<li>libuuid1-32bit-2.33.2-150100.4.45.1</li>


<li>libblkid1-32bit-2.33.2-150100.4.45.1</li>


<li>libmount1-32bit-2.33.2-150100.4.45.1</li>


<li>libuuid1-32bit-debuginfo-2.33.2-150100.4.45.1</li>


<li>libblkid1-32bit-debuginfo-2.33.2-150100.4.45.1</li>


<li>libmount1-32bit-debuginfo-2.33.2-150100.4.45.1</li>

</ul>
</li>


</ul>


<h2>References:</h2>
<ul>


<li>
<a href="https://www.suse.com/security/cve/CVE-2024-28085.html">https://www.suse.com/security/cve/CVE-2024-28085.html</a>
</li>



<li>
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1194642">https://bugzilla.suse.com/show_bug.cgi?id=1194642</a>
</li>



<li>
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1207987">https://bugzilla.suse.com/show_bug.cgi?id=1207987</a>
</li>



<li>
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1221831">https://bugzilla.suse.com/show_bug.cgi?id=1221831</a>
</li>


</ul>

</div>

--===============7457546871990621900==--
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung